#include <QtGui/QApplication>
#include "widget.h"
//#include "stdafx.h"
#include "windows.h"
//#include "iostream.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    Widget w;
    w.show();
    WCHAR NameBuffer[MAX_PATH];
    WCHAR SysNameBuffer[MAX_PATH];
    DWORD VSNumber;
    DWORD MCLength;
    DWORD FileSF;


    char *x="D:\\";
    WCHAR b[10];

    swprintf(b, L"%S", x);

    if (GetVolumeInformation(b,NameBuffer, sizeof(NameBuffer),
        &VSNumber,&MCLength,&FileSF,SysNameBuffer,sizeof(SysNameBuffer)))
    {
        qDebug() <<  QString::fromWCharArray(NameBuffer);
        qDebug() <<  QString::fromWCharArray(SysNameBuffer);
        qDebug() <<  VSNumber;
    }

    return a.exec();
}
